Add opted-out emails

Add given emails to the opt-out list. Email recipients will not get invitations nor reminders.

Body·AddOptoutBody
required
application/json

Request for register emails as opted out

  • emails
    Type: array string[]

    Email addresses that will be set as opted out.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • 413

    Payload Too Large

  • 414

    URI Too Long

  • application/problem+json
  • 431

    Request Header Fields Too Large

  • application/problem+json
Request Example for post/v1/account/optouts
curl https://api.questback.com/v1/account/optouts \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "emails": [
    "joe.doe1@example.com",
    "joe.doe2@example.com",
    "joe.doe3@example.com"
  ]
}'
{
  "message": "Emails is processed"
}